## ros-one-plotjuggler-ros 2.2.0-0jammy.20251207.2108

=== debian/changelog ===
ros-one-plotjuggler-ros (2.2.0-0jammy.20251207.2108) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 07 Dec 2025 21:08:07 +0000
