=== debian/changelog ===
ros-one-plotjuggler-ros (2.2.0-0noble.20251023.0411) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 23 Oct 2025 04:11:57 +0000

ros-one-plotjuggler-ros (2.2.0-0noble) noble; urgency=high

  * jazzy+
  * Fixing wstring ROS2 data type, and import rename for latest release build compatibility (#86 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/86>)
    Co-authored-by: Davide Faconti <mailto:davide.faconti@gmail.com>
  * Update ros2_parser.cpp
  * Fix detection of ROS 2 Humble (#82 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/82>)
    Detecting the ROS distribution based on the content of
    AMENT_PREFIX_PATH does not always work. For example, when using the
    Nix package manager, paths in AMENT_PREFIX_PATH could never match the
    currently used pattern. It's better to use ROS_DISTRO variable for
    this purpose. This should (I think) work everywhere.
  * Contributors: Ben Cohen, Davide Faconti, Michal Sojka

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 21 May 2025 00:00:00 -0000

ros-one-plotjuggler-ros (2.1.1-0noble) noble; urgency=high

  * critical bug fix in ROS1 plugins
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 19 Feb 2024 00:00:00 -0000

ros-one-plotjuggler-ros (2.1.0-0noble) noble; urgency=high

  * preparing for release 3.9
  * Update ros1.yaml
  * Add support for compressed rosbags (#77 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/77>)
  * Contributors: Anthony Welte, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 04 Feb 2024 00:00:00 -0000

ros-one-plotjuggler-ros (1.7.3-0noble) noble; urgency=high

  * Fix mapping of multiple pal_statistics topics (#61 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/61>)
  * fix implicit uint8_t -> double narrowing (#42 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/42>)
    YES, the standard committee believes this might be narrowing
    and clang 12 throws this error:
    > error: non-constant-expression cannot be narrowed from type 'uint8_t' (aka 'unsigned char') to 'double' in initializer list [-Wc++11-narrowing]
  * Contributors: Michael Görner, Victor Lopez

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 14 Jan 2023 00:00:00 -0000

ros-one-plotjuggler-ros (1.6.2-0noble) noble; urgency=high

  * parse a ROSBAG even if some topic types are not recognized
  * Update ros2.yaml
  * segmentation fault off (#30 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/30>)
  * Contributors: Davide Faconti, simulacrus

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 21 Oct 2021 00:00:00 -0000

ros-one-plotjuggler-ros (1.5.0-0noble) noble; urgency=high

  * massive changes
    - include consistent timestamp (suggested by @doisyg )
    - lazy initialization in parsers.
    - reusable Header parser
    - string field added
  * add lazy parser inizialization and string field to ROS1
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 20 Jun 2021 00:00:00 -0000

ros-one-plotjuggler-ros (1.4.1-0noble) noble; urgency=high

  * remove obsolate headers
  * forget to install launch file for ROS1
  * Contributors: Davide Faconti, Kei Okada

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 18 Jun 2021 00:00:00 -0000

ros-one-plotjuggler-ros (1.3.0-0noble) noble; urgency=high

  * use std::any
  * temporary fix for 3.2
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 12 Jun 2021 00:00:00 -0000

ros-one-plotjuggler-ros (1.2.0-0noble) noble; urgency=high

  * fix issue #15 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/15> for ROS1 too
  * Merge pull request #4 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/4> from Tobias-Fischer/patch-1
    Fix Windows compilation
  * fix bugs related to TopicPublishers (ros2)
  * Fix isnan issues on Win
  * Fix isnan compilation issue on Win
  * Fix double-defined ERROR
  * Contributors: Davide Faconti, Tobias Fischer

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 03 Jun 2021 00:00:00 -0000

ros-one-plotjuggler-ros (1.1.1-0noble) noble; urgency=high

  * Mitigate proble with ros::ok()
  * prepare for newer PJ version
  * address issue with INT64
  * Update README.md
  * fix issue #399 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/399> and #398 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/398>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 10 May 2021 00:00:00 -0000

ros-one-plotjuggler-ros (1.1.0-0noble) noble; urgency=high



 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 31 Jan 2021 00:00:00 -0000

ros-one-plotjuggler-ros (1.0.3-0noble) noble; urgency=high

  * fix bug #387 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/387> in Plotjuggler repo
  * Merge pull request #3 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/3> from kefrobotics/development
    Add diagnostic_msgs as ROS2 dependency in CMakeLists.txt files
  * Add diagnostic_msgs as ROS2 dependency in CMakeLists.txt files
  * Contributors: Davide Faconti, Paul Frivold

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 20 Jan 2021 00:00:00 -0000

ros-one-plotjuggler-ros (1.0.2-0noble) noble; urgency=high

  * Merge branch 'development' of https://github.com/PlotJuggler/plotjuggler-ros-plugins into development
  * fix compilation in ros2
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 30 Dec 2020 00:00:00 -0000

ros-one-plotjuggler-ros (1.0.1-0noble) noble; urgency=high

  * Added TF messages to the parser (issue #366 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/366>)
  * Update README.md
  * Update README.md
  * Merge pull request #1 <https://github.com/PlotJuggler/plotjuggler-ros-plugins/issues/1> from uhobeike/development

