=== debian/control ===
Source: ros-one-plotjuggler-ros
Section: misc
Priority: optional
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), binutils-dev, libboost-all-dev, libfmt-dev, libqt5svg5-dev, libqt5websockets5-dev, qtbase5-dev, ros-one-catkin, ros-one-plotjuggler, ros-one-ros-type-introspection, ros-one-rosbag-storage, ros-one-roscpp, ros-one-roscpp-serialization, ros-one-tf2-msgs, ros-one-tf2-ros
Homepage: https://github.com/facontidavide/PlotJuggler
Standards-Version: 3.9.2

Package: ros-one-plotjuggler-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-dev, libboost-all-dev, libfmt-dev, libqt5svg5-dev, libqt5websockets5-dev, qtbase5-dev, ros-one-plotjuggler, ros-one-ros-type-introspection, ros-one-rosbag-storage, ros-one-roscpp, ros-one-roscpp-serialization, ros-one-tf2-msgs, ros-one-tf2-ros
Description: PlotJuggler plugin for ROS
